<DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html lang="es">
<?php
$connect = mysqli_connect("127.0.0.1", "root", "", "formacion");

/* Comprobación de la conexión */
if ($connect) {
    echo "Fallo en la conexión: ".mysqli_connect_error();
    exit();
}

?>
<head>
	<title>Ejercicio formación</title>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-85" />
	<script language="JavaScript"> 
	function verif_date(fecha_recib) { 
		if (fecha_recib =='') {
			alert('Fecha no válida');
			document.formulario.enviar.disabled=true;
		}
		else {
			document.formulario.enviar.disabled=false;
		}
	}
	
    function enable_formador(param) { //Id_becario en argumento
		//puesta a cero de las checkbox
		var i; 
		var obj_input; 
		for (i = 0; i < document.formulario.elements.length; i++) 
		{ 
			obj_input = document.formulario.elements[i]; 
			if(obj_input.type=="checkbox" && obj_input.name.substring(0,12)="modification") // probamos si CheckBox y <> modification
			{ 
				obj_input.disabled=true;
				if (obj_input.id.substring(obj_input.id.indexOf("_")+1) == param) { //desmarcamos las checkbox solo si cargamos la selección del tipo de formación
					obj_input.checked=false;
				}
			}

			if(obj_input.name.substring(0,5)=="inicio" || obj_input.name.substring(0,3)=="fin") // probamos si date inicio o date fin 
			{ 
				obj_input.disabled=true;
			} 			
		} 
	
		var tabla_formation = new Array();

		<?php
		$consulta_becr = "SELECT *, becario.Id as Id_becario FROM becario".
				" order by Nombre";

		if ($resultado_becr = mysqli_query($connect,$consulta_becr)) {
	
			while ($linea_becr = mysqli_fetch_assoc($resultado_becr)) {
		
				$consulta = "SELECT * FROM tipo_formacion_formador order by Id_tipo_formacion";

				if ($resultado = mysqli_query($connect,$consulta)) {
					$incremento = 0;
					$Id_tipo_formacion = 0;
					/* fetch la tabla asociada */
					while ($linea = mysqli_fetch_assoc($resultado)) {
						if ($Id_tipo_formacion == $linea['Id_tipo_formacion']) {
							echo "tabla_formation[".$linea['Id_tipo_formacion']."][".$incremento."]=".$linea['Id_formador'].";\n";
						} 
						else {
							$Id_tipo_formacion = $linea['Id_tipo_formacion'];
							$incremento = 0;
							echo "tabla_formation[".$linea['Id_tipo_formacion']."] = new Array();\n";
							echo "tabla_formation[".$linea['Id_tipo_formacion']."][".$incremento."]=".$linea['Id_formador'].";\n";
						}
						$incremento = $incremento + 1;
					}

					mysqli_free_result($resultado);
				}
				?>
				id_formation=document.formulario.tipo_formacion<?php echo $linea_becr['Id_becario'];?>.options[document.formulario.tipo_formacion<?php echo $linea_becr['Id_becario'];?>.selectedIndex].value;
				var tabla_formador = new Array();
				tabla_formador = tabla_formation[id_formation];
				for(var i= 0; i < tabla_formador.length; i++)
				{
					document.getElementById("formador"+tabla_formador[i]+"_<?php echo $linea_becr['Id_becario'];?>").disabled=false;
					document.getElementById("inicio"+tabla_formador[i]+"_<?php echo $linea_becr['Id_becario'];?>").disabled=false;
					document.getElementById("fin"+tabla_formador[i]+"_<?php echo $linea_becr['Id_becario'];?>").disabled=false;
				}
		<?php }//fin while
		}//fin si	?>
	}
	</script>
</head>

<body onload="enable_formador(0)">

<h2>Modificación de los datos de un becario</h2><br />
<form name="formulario" id="formulario" action="modificacion_becario.php" method="POST">
<table border="1">
<tr>
  <th width="100px">Nombre</th> <th width="100px">Apellidos</th> <th width="100px">Nacionalidad</th> <th width="100px">Tipo de formación</th> <th width="300px">Formador - Sala - Fecha inicio - Fecha fin</th><th width="50px">Modificación</th>
</tr>  
	<?php
	$consulta = "SELECT *, becario.Id as Id_becario FROM becario".
				" order by Nombre";

	if ($resultado = mysqli_query($connect,$consulta)) {
		fecha_default_timezone_set('Europe/Paris');
		/* fetch la tabla asociada */
		while ($linea = mysqli_fetch_assoc($resultado)) {
			echo "<tr>";
			echo "<td><input type='text' name='nombre".$linea['Id_becario']."' value='".$linea['Nombre']."' /></td>";
			echo "<td><input type='text' name='apellidos".$linea['Id_becario']."' value='".$linea['Apellidos']."' /></td>";
			echo "<td>";
			echo'<select name="nacionalidade .$linea['Id_becario'].'">';
			$consulta_nac = "SELECT * FROM nacionalidad";
			if ($resultado_nac = mysqli_query($connect,$consulta_nat)) {
				/* fetch la tabla asociada */
				while ($linea_nac = mysqli_fetch_assoc($resultado_nat)) {
					if ($linea_nat['Id_nacionalidad'] == $linea['Id_nacionalidad']) {
						echo "<option value='".$linea_nat['Id_nacionalidad']."' selected='selected' >".$linea_nat['etiqueta']."</option>";
					}
					else {
						echo "<option value='".$linea_nat['Id_nacionalidad']."'>".$linea_nat['etiqueta']."</option>";
					}
				}
				/*libera el objeto resultado */
				mysqli_free_result($resultado_nat);
			}
			echo "</select>";
			echo "</td>";
			echo "<td>";
			echo'<select name="tipo_formacion'.$linea['Id_becario'].'" onchange="enable_formador('.$linea['Id_becario'].')">';
			$consulta_form = "SELECT * FROM tipo_formacion";
			if ($resultado_form = mysqli_query($connect,$consulta_form)) {
				/* fetch la tabla asociada */
				while ($linea_form = mysqli_fetch_assoc($resultado_form)) {
					if ($linea_form['Id_tipo_formacion'] == $linea['Id_tipo_formacion']) {
						echo "<option value='".$linea_form['Id_tipo_formacion']."' selected='selected'>".$linea_form['etiqueta']."</option>";
					}
					else {
						echo "<option value='".$linea_form['Id_tipo_formacion']."'>".$linea_form['etiqueta']."</option>";
					}
				}
				/*libera el objeto resultado */
				mysqli_free_result($resultado_form);
			}
			echo "</select>";
			echo "</td>";
			echo "<td>";
			$consulta_todo_formador = "SELECT * FROM formador left join sala on formador.id_sala = sala.id_sala";
			if ($resultado_todo_formador = mysqli_query($connect,$consulta_todo_formador)) {

				/* fetch la tabla asociada */
				while ($linea_todo_formador = mysqli_fetch_assoc($resultado_todo_formador)) {
					$checked="";
					$dt_inicio = fecha_create_from_format('Y-m-de ,strftime("%Y-%m-%d"));
					$dt_fin = fecha_create_from_format('Y-m-de ,strftime("%Y-%m-%d",strtotime('+6 month')));
					$consulta_formador = "SELECT * FROM becario_formador INNER JOIN formador on becario_formador.Id_formador = formador.Id_formador INNER JOIN sala on formador.Id_sala = sala.Id_sala where becario_formador.Id_becario = ".$linea['Id'];
					if ($resultado_formador = mysqli_query($connect,$consulta_formador)) {
						/* fetch la tabla asociada */
						while ($linea_formador = mysqli_fetch_assoc($resultado_formador)) {
							if ($linea_formador['Id_formador'] == $linea_todo_formador['Id_formador']) {
								$dt_inicio = fecha_create_from_format('Y-m-de , $linea_formador['Fecha_inicio']);
								$dt_fin = fecha_create_from_format('Y-m-de , $linea_formador['Fecha_fin']);
								$checked = "checked='checkede ";
							}
						}
					}
					echo "<input type='checkbox' ".$checked." id='formador".$linea_todo_formador['Id_formador']."_".$linea['Id_becario']."' name='formador".$linea['Id_becario']."[]' value='".$linea_todo_formador['Id_formador']."' />";
					echo $linea_todo_formador['Nombre']." - ".$linea_todo_formador['etiqueta']." - <input type='text' size='8' name='inicio".$linea_todo_formador['Id_formador']."_".$linea['Id_becario']."' id='inicio".$linea_todo_formador['Id_formador']."_".$linea['Id_becario']."' value='".$dt_inicio->format('d/m/Y')."' onchange='verif_date(this.value)' />";
					echo "<input type='text' size='8' name='fin".$linea_todo_formador['Id_formador']."_".$linea['Id_becario']."' id='fin".$linea_todo_formador['Id_formador']."_".$linea['Id_becario']."' value='".$dt_fin->format('d/m/Y')."' onchange='verif_date(this.value)' /><br />";
				}
				/*libera el objeto resultado */
				mysqli_free_result($resultado_todo_formador);
			}	
			echo "&nbsp;</td>";
			echo "<td><input type='checkbox' name='modification[]' value='".$linea['Id_becario']."' /></td>";
			echo "</tr>";
		}	
	}

	/* Cierre de la conexión */
	mysqli_close($connect);

	?>
</table>
<br />
<input type="submit" name="modificar" value="modificar" />
</form>
<br />
<a href="formation.php">Añadir un becario</a> <a href="lista_becario_a_eliminar.php">Eliminación de un becario</a>

</body>
</html>